Bug 238782 - libsemanage-devel depends on %{version} but not on %{version}-%{release}
Summary: libsemanage-devel depends on %{version} but not on %{version}-%{release}
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsemanage   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-02 22:14 UTC by Robert Scheck
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-07 13:45:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2007-05-02 22:14:42 UTC
Description of problem:
libsemanage-devel depends on %{name} but not on %{name}-%{release}, please fix 
this with the next build of the package. There can be minor changes which could 
be incompatible after release bumping, so it's save to add %{release}, too.

Version-Release number of selected component (if applicable):
libsemanage-2.0.1-2

Expected results:
Please apply the following patch or better:

--- snipp ---
--- libsemanage.spec        2007-05-03 00:11:47.000000000 +0200
+++ libsemanage.spec.rsc    2007-05-03 00:11:59.000000000 +0200
@@ -33,7 +33,7 @@
 %package devel
 Summary: Header files and libraries used to build policy manipulation tools
 Group: Development/Libraries
-Requires: libsemanage = %{version}
+Requires: libsemanage = %{version}-%{release}

 %description devel
 The semanage-devel package contains the static libraries and header files
--- snapp ---

Comment 1 Robert Scheck 2007-05-02 22:23:25 UTC
I wrote bullshit, apply s/%{name}/%{version}/g to give my report sense.

Comment 2 Daniel Walsh 2007-05-03 14:48:19 UTC
Fixed in   libsemanage-2_0_3-2_fc7

Comment 3 Robert Scheck 2007-09-07 13:45:26 UTC
Confirmed to be fixed in 2.0.4-1 (fc8).


Note You need to log in before you can comment on or make changes to this bug.